Subject: more data on #43389

From: Madhu <[email-masked]>
Date: Tue, 20 Jul 2021 12:43:31 +0530 (IST)

This is the emacs memory bloat issue. I thought I had unarchived the
bug earlier but it seems to be closed up again. Should I open a new
bug? Its already got a 1000 posts on the bugzilla page

Over the past few months, I've experienced the memory problem a few
times.  I wanted to share the malloc info data I collected on 3
instance and am attaching a tarball with 3 directories named 4 5 6
which include malloc-info, memory-usage, and memory-report data from
emacs exhibiting the behaviour - after all buffers are killed and
after an M-x gc.

Directories 4 and 6 show the common pattern where memory is used
unknown to GC. data in directory 5 probably another issue where there
are a lot of dead strings.

I'd be glad if/when experts can find the time to take a look and see
if it offers any further clues.